<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioPlanoMeta" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="5ff398be-b547-4d8f-bae8-5e6616004848">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="mostrarCupom" class="java.lang.String"/>
	<parameter name="valorTotal" class="java.lang.Double">
		<parameterDescription><![CDATA[]]></parameterDescription>
	</parameter>
	<queryString>
		<![CDATA[select plano.descricao as descricaoPlanoPagamento, sum(pedidov.valorTotalPedido) as valorTotalPlanoPagamento,
sum(if(cf.idCupomFiscal is null,0.0,pedidov.valorTotalPedido)) as valorTotalCupom
from pedidoVenda as pedidov
inner join planoPagamento plano on pedidov.idPlanoPagamento = plano.idPlanoPagamento
left outer join cupomFiscal cf on cf.idCupomFiscal  = pedidov.idCupomFiscal
group by pedidov.IdPlanoPagamento
limit 1]]>
	</queryString>
	<field name="descricaoPlanoPagamento" class="java.lang.String"/>
	<field name="valorTotalPlanoPagamento" class="java.lang.Double"/>
	<field name="valorTotalCupom" class="java.lang.Double"/>
	<variable name="valorTotalPlanoPagamento_1" class="java.lang.Double" resetType="Column" calculation="Sum">
		<variableExpression><![CDATA[$F{valorTotalPlanoPagamento}]]></variableExpression>
	</variable>
	<variable name="porcetagem" class="java.lang.Double">
		<variableExpression><![CDATA[($F{valorTotalPlanoPagamento}/$P{valorTotal})]]></variableExpression>
	</variable>
	<variable name="valorTotalCupom_1" class="java.lang.Double" resetType="Column" calculation="Sum">
		<variableExpression><![CDATA[$F{valorTotalCupom}]]></variableExpression>
	</variable>
	<variable name="porcetagemCupom" class="java.lang.Double">
		<variableExpression><![CDATA[(($F{valorTotalCupom}*100)/$F{valorTotalPlanoPagamento})/100]]></variableExpression>
	</variable>
	<variable name="porcetagemTotal" class="java.lang.Double" resetType="Page">
		<variableExpression><![CDATA[(($V{valorTotalCupom_1}*100)/$V{valorTotalPlanoPagamento_1})/100]]></variableExpression>
	</variable>
	<title>
		<band height="30" splitType="Stretch">
			<staticText>
				<reportElement uuid="a93d0e6e-e4c5-4313-940e-6b1fb859e294" x="124" y="5" width="307" height="20"/>
				<textElement>
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[Relatorio Venda Por Plano e Meta]]></text>
			</staticText>
			<textField pattern="EEEEE dd MMMMM yyyy">
				<reportElement uuid="6970d203-6bd1-45aa-b2bd-20cd4de466e9" x="455" y="0" width="100" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<columnHeader>
		<band height="13" splitType="Stretch">
			<staticText>
				<reportElement uuid="fa6036c6-dc7e-47c6-80a3-ddb6142b9b88" x="0" y="0" width="100" height="13"/>
				<textElement>
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Tipo Plano:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="8d8a8cd2-2d8b-4026-981e-c23d5f25ed97" x="172" y="0" width="41" height="13"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<text><![CDATA[% ]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="3da66131-af96-4e99-a614-d6915e2fa456" x="260" y="0" width="81" height="13"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Valor Total Plano:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="3deeaeed-48dd-4b5c-863d-0ff90c255c48" x="341" y="0" width="93" height="13"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Valor Total Cupom:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="9bef7e67-4e15-43b0-b75f-bb5074e043b6" x="435" y="0" width="52" height="13"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<text><![CDATA[% ]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="13" splitType="Stretch">
			<textField>
				<reportElement uuid="c56e10c8-89ae-4f80-b1aa-c3525d5b3306" x="0" y="0" width="160" height="13"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{descricaoPlanoPagamento}==null?"Sem Plano":$F{descricaoPlanoPagamento}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00 %">
				<reportElement uuid="1c0cd819-21ed-4294-aa1d-faa939c84742" x="434" y="0" width="53" height="13"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{porcetagemCupom}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="05aa3745-cbb9-42c5-b662-75ca9ac451fd" x="260" y="0" width="81" height="13"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valorTotalPlanoPagamento}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00 %">
				<reportElement uuid="904fc7be-11d6-4295-acf9-2963b2b1d9c7" x="172" y="0" width="41" height="13"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{porcetagem}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="5a3fccfb-4299-4317-b416-d8c91dcc40e6" x="342" y="0" width="93" height="13"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valorTotalCupom}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement uuid="6d711e85-6e8a-479d-974e-20491189ce9f" x="435" y="0" width="80" height="20"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA["Page "+$V{PAGE_NUMBER}+" of"]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement uuid="aed3a3f0-2d99-4b99-b3a9-6408c2f7179d" x="515" y="0" width="40" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band height="50">
			<textField pattern="#,##0.00 %">
				<reportElement uuid="1287ec37-3491-4b37-a825-54bc346fc233" x="435" y="0" width="52" height="13"/>
				<textElement textAlignment="Right">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{porcetagemTotal}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="37f18727-42a6-456e-aac6-12b57ea2294a" x="342" y="0" width="93" height="13"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{valorTotalCupom_1}]]></textFieldExpression>
			</textField>
			<textField pattern="¤ #,##0.00">
				<reportElement uuid="00b2cab3-9afc-448b-8b03-0d0a56147d82" x="261" y="0" width="81" height="13"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{valorTotalPlanoPagamento_1}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="e6074fc5-c964-4520-aef3-53fe95bcc8e7" x="228" y="0" width="32" height="13"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Total:]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
